This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### createImage()
Examples |
    PImage img = createImage(66, 66, RGB);
    img.loadPixels();
    for (int i = 0; i < img.pixels.length; i++) {
      img.pixels[i] = color(0, 90, 102);
    }
    img.updatePixels();
    image(img, 17, 17);
    PImage img = createImage(66, 66, ARGB);
    img.loadPixels();
    for (int i = 0; i < img.pixels.length; i++) {
      img.pixels[i] = color(0, 90, 102, i % img.width * 2);
    }
    img.updatePixels();
    image(img, 17, 17);
    image(img, 34, 34);
Description | Creates a new PImage (the datatype for storing images). This provides a fresh buffer of pixels to play with. Set the size of the buffer with the width and height parameters. The format parameter defines how the pixels are stored. See the PImage reference for more information. Be sure to include all three parameters, specifying only the width and height (but no format) will produce a strange error. Advanced users please note that createImage() should be used instead of the syntax `new PImage()`.
Syntax |
    createImage(w, h, format)
Parameters |
w | int: width in pixels
h | int: height in pixels
format | int: Either RGB, ARGB, ALPHA (grayscale alpha channel)
Returns | PImage
Related | PImage PGraphics

Updated on October 26, 2013 08:58:29pm PDT